Subject: bug#40676: 28.0.50; gnus locks when reading email

From: Robert Pluim <[email-masked]>
Date: Mon, 20 Jul 2020 10:49:24 +0200

>>>>> On Sun, 19 Jul 2020 15:02:35 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> "Philip K." <[email-masked]> writes:
    >> That was part of the rationale behind #40355, but the best way I see to
    >> fix this would be to implement asynchronous DNS, since a libravatar
    >> lookup has two phases (DNS lookup + image retrieval), compared to
    >> Gravatar's single request.

    Lars> A cache would be a band-aid -- it still will have to do these lookups
    Lars> occasionally, and the user experience in Gnus suffers.

    Lars> As it stands, librgravatar shouldn't be the default gravatar provider.

    Lars> But, yes, Emacs should have asynchronous DNS support, and adding that
    Lars> probably isn't too difficult, I'd have thought?

emacs calls getaddrinfo_a already if itʼs available, when creating
connections, but I donʼt think thereʼs a lisp-level interface to it
(and itʼs not available on macOS, weʼd have to implement it using
Apple's platform-specific API).

If you were thinking of using the emacs threading API, I tried hooking
that up to dns.el, but the results were not great. [1]

Robert

Footnotes:
[1]  Iʼm saying this so that Lars will now go away and implement it :-)